#!/bin/bash
module purge

source /etc/profile.d/modules.sh

module load pandas/1.3.5-foss-2015a-Python-3.7.3

delay=15 #15 day delay
delay_20=$((delay+20))
if [ "$1" != "" ]; then
    sdat=$1
else
    sdat=$(date -d "-"${delay_20}"day" +%Y%m%d)
fi

echo "START DATE"
echo $sdat


if [ "$2" != "" ]; then
    edat=$2
else
    edat=$(date -d "-20 day" +%Y%m%d)
fi

echo "END DATE"
echo $edat

if [ "$3" != "" ]; then
    valid=$3
fi

d="$sdat"
edat_plus_1=$(date -d "${edat}+1 day" +%Y%m%d)
while [[ "$d" < "$edat_plus_1" ]]; do
  echo $d
  if python /esarchive/obs/ineris/eionet-cams2_40-ira/scripts/dl-cams-ira.py -d $d; then
    echo "Exit code of 0, success"
  else
    echo "Failure in the python script"
    ssh oper /home/Earth/pbretonn/./sendemail.sh "Issue with download of /esarchive/obs/ineris/eionet-cams2_40-ira/original_files/${d} . Check /esarchive/obs/ineris/eionet-cams2_40-ira/scripts/dl-cams-ira.py"
  fi
  if python /esarchive/obs/ineris/eionet-cams2_40-ira/scripts/fmt-cams-ira.py -d $d; then
    echo "Exit code of 0, success"
  else
    echo "Failure in the python script"
    ssh oper /home/Earth/pbretonn/./sendemail.sh "Issue with Format of /esarchive/obs/ineris/eionet-cams2_40-ira/daily/${d} . Check /esarchive/obs/ineris/eionet-cams2_40-ira/scripts/fmt-cams-ira.py"
  fi
  d=$(date -d "${d}+1 day" +%Y%m%d)

done


