#!/bin/bash
#SBATCH -A bsc32
#
#
#SBATCH --cpus-per-task=1
#16
#SBATCH -n 1
#SBATCH -t 0-02:00:00
#SBATCH -J ira-netcdf-fmt
#SBATCH -e /esarchive/obs/ineris/eionet-cams2_40-ira/scripts/out-logs/format-cams-ira-data-in-netcdf-%j.err
#SBATCH -o /esarchive/obs/ineris/eionet-cams2_40-ira/scripts/out-logs/format-cams-ira-data-in-netcdf-%j.out
#BSUB -x

module purge
module use /gpfs/projects/bsc32/software/suselinux/11/modules/all
module unuse /apps/modules/modulefiles/applications /apps/modules/modulefiles/compilers /apps/modules/modulefiles/tools /apps/modules/modulefiles/libraries /apps/modules/modulefiles/environment

# load modules or conda environments here
module load Python/3.7.4-GCCcore-8.3.0
module load NES/1.0.0-nord3-v2-foss-2019b-Python-3.7.4
module load numpy/1.21.6-foss-2019b-Python-3.7.4
module load xarray/0.19.0-foss-2019b-Python-3.7.4
module load pandas/1.3.5-foss-2019b-Python-3.7.4



if [ "$1" != "" ]; then
    date=$1
else
    date=$(date -d "-20 day" +%Y%m%d)
fi
if [ "$2" == "" ]
then
        number_of_previous_months=1
else number_of_previous_months=$2
fi


indir="/esarchive/obs/ineris/eionet-cams2_40-ira/daily/"
outdir="/esarchive/scratch/cmeikle/original-data-downloads/eionet-cams-40/ira/hourly"
pypath=/esarchive/scratch/cmeikle/git_projects/ac-eionet-data/ineris/ira/fmt-nc-nord3.py
 
python3 $pypath -d $date -i $indir -o $outdir -n $number_of_previous_months


sleep 600

#Copy data from esarchive to gpfs
#cp /esarchive/obs/ineris/eionet-cams2_40-ira/hourly/pm10/* /gpfs/projects/bsc32/AC_cache/obs/nonghost/ineris/eionet-cams2_40-ira/hourly/pm10/
#cp /esarchive/obs/ineris/eionet-cams2_40-ira/hourly/pm2p5/* /gpfs/projects/bsc32/AC_cache/obs/nonghost/ineris/eionet-cams2_40-ira/hourly/pm2p5/
#cp /esarchive/obs/ineris/eionet-cams2_40-ira/hourly/sconcco/* /gpfs/projects/bsc32/AC_cache/obs/nonghost/ineris/eionet-cams2_40-ira/hourly/sconcco/
#cp /esarchive/obs/ineris/eionet-cams2_40-ira/hourly/sconco3/* /gpfs/projects/bsc32/AC_cache/obs/nonghost/ineris/eionet-cams2_40-ira/hourly/sconco3/
#cp /esarchive/obs/ineris/eionet-cams2_40-ira/hourly/sconcno2/* /gpfs/projects/bsc32/AC_cache/obs/nonghost/ineris/eionet-cams2_40-ira/hourly/sconcno2/
#cp /esarchive/obs/ineris/eionet-cams2_40-ira/hourly/sconcso2/* /gpfs/projects/bsc32/AC_cache/obs/nonghost/ineris/eionet-cams2_40-ira/hourly/sconcso2/

