#!/usr/bin/python
"""
Useful functions
"""

import argparse
import os
import sys
import shutil
import json


import pandas as pd
from datetime import datetime, timedelta
from ftplib import FTP
from pathlib import Path


def split_date(df):
    """
    Function to split the date into separate Hour, Day, Month, Year columns
    """
    df["DATE"] = pd.to_datetime(df["DATE"], format="%Y%m%d%H")
    df['HOUR'] = df["DATE"].dt.hour.astype(str).str.zfill(2)
    df['DAY'] = df["DATE"].dt.day.astype(str).str.zfill(2)
    df['MONTH'] = df["DATE"].dt.month.astype(str).str.zfill(2)
    df['YEAR'] = df["DATE"].dt.year.astype(str).str.zfill(4)
    return df

