#!/bin/bash
set -vx

cd /esarchive/obs/meteofrance/eionet-cams2_40/original_files/

for i in $( seq 1 34); do
  retry=0
  date=$(date +%Y%m%d -d "-$i days")
  while [[ $retry -le 20 ]]; do
    if [[ ! -f /esarchive/obs/meteofrance/eionet-cams2_40/original_files/obsmacc4ana_${date}.csv ]]; then
      mkdir -p /esarchive/obs/meteofrance/eionet-cams2_40/original_files/tmp
      cd /esarchive/obs/meteofrance/eionet-cams2_40/original_files/tmp
      /esarchive/scratch/pbretonn/bin/ncftpget -u CopernicusUsers -p 'Pa$1.0$SiR?23' ftp://ftp.meteo.fr:/obsmacc4ana_${date}.csv
      date
#      [[ $(stat -c%s obsmacc4ana_${date}.csv ) -le 4700000 ]] && mv obsmacc4ana_${date}.csv obsmacc4ana_${date}.csv.corrupted
      find . -type f -empty -delete
      [[ -f obsmacc4ana_${date}.csv ]] && [[ ! -f ../obsmacc4ana_${date}.csv ]] && mv obsmacc4ana_${date}.csv ../.
      [[ ! -f obsmacc4ana_${date}.csv ]] && sleep 360s
    fi
    retry=$((retry+1))
  done
  [[ ! -f /esarchive/obs/meteofrance/eionet-cams2_40/original_files/obsmacc4ana_${date}.csv ]] && ssh oper /home/Earth/pbretonn/./sendemail.sh "Issue with download of /esarchive/obs/meteofrance/eionet-cams2_40/original_files/obsmacc4ana_${date}.csv."
done

